package de.ivu.elect.interfaces.was.stimmeingabe;

import de.ivu.elect.interfaces.core.plausikonfiguration.StimmeingabePlausiTyp;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Stimmeneingabefehler {

  @XmlElement(required = true)
  private Stimmeingabefehlerart fehlerart;

  @XmlElement(required = true)
  private String beschreibung;

  @XmlElement(required = false) // Abwärtskompatibilität
  private StimmeingabePlausiTyp stimmeingabePlausiTyp;

  @XmlElement(required = false)
  private String erwarteteAnzahlEingabe;

  public Stimmeingabefehlerart getFehlerart() {
    return fehlerart;
  }

  public void setFehlerart(Stimmeingabefehlerart fehlerart) {
    this.fehlerart = fehlerart;
  }

  public String getBeschreibung() {
    return beschreibung;
  }

  public void setBeschreibung(String beschreibung) {
    this.beschreibung = beschreibung;
  }

  public StimmeingabePlausiTyp getStimmeingabePlausiTyp() {
    return stimmeingabePlausiTyp;
  }

  public void setStimmeingabePlausiTyp(StimmeingabePlausiTyp stimmeingabePlausiTyp) {
    this.stimmeingabePlausiTyp = stimmeingabePlausiTyp;
  }

  public String getErwarteteAnzahlEingabe() {
    return erwarteteAnzahlEingabe;
  }

  public void setErwarteteAnzahlEingabe(String erwarteteAnzahlEingabe) {
    this.erwarteteAnzahlEingabe = erwarteteAnzahlEingabe;
  }
}
